Package de.willuhn.jameica.hbci.passports.rdh

# Class KeyPasswordSaveDialog

java.lang.Object
de.willuhn.jameica.gui.dialogs.AbstractDialog
de.willuhn.jameica.gui.dialogs.NewPasswordDialog
de.willuhn.jameica.hbci.passports.rdh.KeyPasswordSaveDialog

public class KeyPasswordSaveDialog extends de.willuhn.jameica.gui.dialogs.NewPasswordDialog
Dialog für die Eingabe des Passwortes beim Speichern eines Schluessels.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`MONITOR_CURRENT, MONITOR_PRIMARY, POSITION_CENTER, POSITION_MOUSE`

## Constructor Summary

Constructors
Constructor
Description
`KeyPasswordSaveDialog(int position, org.kapott.hbci.passport.HBCIPassport passport)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`checkPassword(String password, String password2)`

### Methods inherited from class de.willuhn.jameica.gui.dialogs.NewPasswordDialog

`checkUsername, getData, getUsername, onEscape, paint, setErrorText, setLabel2Text, setLabelText, setText, setUsernameText`

### Methods inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`addCloseListener, addShellListener, close, createShell, getDisplay, getShell, isModeless, open, setMonitor, setPanelText, setSideImage, setSize, setTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KeyPasswordSaveDialog

public KeyPasswordSaveDialog(int position, org.kapott.hbci.passport.HBCIPassport passport)
ct.

Parameters:
  `position` - Position des Dialogs.
  `passport` - optionale Angabe des Passport.

## Method Details

### checkPassword

protected boolean checkPassword(String password, String password2)

Overrides:
  `checkPassword` in class `de.willuhn.jameica.gui.dialogs.NewPasswordDialog`
See Also:
  - `NewPasswordDialog.checkPassword(java.lang.String, java.lang.String)`